package com.red.circle.console.app.service.app.sys;

import com.red.circle.other.inner.model.cmd.sys.SysAdministratorAuthResourceCmd;
import com.red.circle.other.inner.model.dto.sys.SysAdministratorAuthResourceDTO;
import java.util.List;

/**
 * <p>
 * APP权限菜单表 服务类
 * </p>
 *
 * @author houyong
 * @since 2021-03-23
 */
public interface SysAdministratorAuthResourceService {

  List<SysAdministratorAuthResourceDTO> getSysAdministratorAuthResource();

  List<Long> getSysAdministratorAuthResourceByUserId(Long userId);

  void updateSysAdministratorAuthResource(
      SysAdministratorAuthResourceCmd cmd);

  void addSysAdministratorAuthResource(
      SysAdministratorAuthResourceCmd cmd);

  void deleteSysAdministratorAuthResource(Long id);
}
